List Users
curl --request GET \
--url https://{primary_domain}/api/public/v2.0/users \
--header 'X-Access-Key-Id: <api-key>' \
--header 'X-Access-Key-Secret: <api-key>'import requests
url = "https://{primary_domain}/api/public/v2.0/users"
headers = {
"X-Access-Key-Id": "<api-key>",
"X-Access-Key-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Key-Id': '<api-key>', 'X-Access-Key-Secret': '<api-key>'}
};
fetch('https://{primary_domain}/api/public/v2.0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"id": 123,
"department_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"timezone": "<string>",
"work_hours": {
"sunday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"monday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"tuesday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"wednesday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"thursday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"friday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
],
"saturday": [
{
"start": {
"hour": 12,
"minute": 30,
"second": 30
},
"end": {
"hour": 12,
"minute": 30,
"second": 30
}
}
]
},
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"avatar_url": "<string>",
"name": "<string>",
"department_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"current_page": 123,
"first_page_url": "<string>",
"from": 123,
"last_page": 123,
"last_page_url": "<string>",
"next_page_url": "<string>",
"path": "<string>",
"per_page": 123,
"prev_page_url": "<string>",
"to": 123,
"total": 123
}{
"message": "<string>",
"errors": {
"attribute": [
"The {attribute} field is required."
]
}
}"Invalid or missing access key.""Too many requests.""An unexpected error occurred."Users
List Users
Required permissions: users.read.*
GET
/
users
List Users
Query Parameters
Maximum number of items in a page.
Page number of query.
Whether or not deleted items are included.
Attribute to order query by.
Available options:
id, first_name, last_name, email, status, timezone, role, created_at, updated_at, deleted_at Direction to order query by.
Available options:
asc, desc Value of attribute to filter query by.
Comparison operator to filter query by.
Available options:
Equal, NotEqual, Contains, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual, IsNull, NotNull Attribute to filter query by
Available options:
id, first_name, last_name, email, status, timezone, role, department, department_id, created_at, updated_at, deleted_at Response
A list of User resource objects.
Show child attributes
Show child attributes
Current page number.
URL to fetch the first page.
Last page number.
URL to fetch the last page.
URL to fetch the next page.
Current URL.
Number of items per page.
URL to fetch the next page.
Total number of items.
⌘I